#Module-Specific definitions
%define mod_version 1.0
%define mod_name mod_vhost_hash_alias
%define mod_conf 42_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename mod-vhost-hash-alias-%{mod_version}

%define apache_version 2.0.54

# Standard Module Definitions
%define name apache-%{mod_name}
%define version %{apache_version}_%{mod_version}

Summary:	Apache HTTPD module for mass virtual hosting
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Group:		System/Servers
License:	LGPL
URL:		http://weuh.org/projects/mod_vhost_hash_alias/
Source0: 	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache >= %{apache_version}
Requires:	apache-conf >= 2.0.54
Requires:	apache >= %{apache_version}
BuildRequires:	apache-devel >= %{apache_version}
BuildRequires:	libmhash-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
mod_vhost_hash_alias is an Apache HTTPD module that allows mass hosting with
good distribution across a unified directory namespace. Administrators no
longer have to use complex regexps with mod_rewrite, since they can use
mod_vhost_hash_alias to do a better job and use fewer resources.
mod_vhost_hash_alias is a component of the VHFFS hosting platform which is
used by the Web hosting provider Tuxfamily.org.

%prep
%setup -q -n %{sourcename}
sed -i s/HashDigest/HashType/ README

%build
%configure --with-apxs2=/usr/sbin/apxs
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README INSTALL NEWS TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*

%changelog
* Wed Sep 21 2005 Pascal Terjan <pterjan@mandriva.org> 2.0.54_1.0-2mdk
- fix URL

* Wed Sep 21 2005 Pascal Terjan <pterjan@mandriva.org> 2.0.54_1.0-1mdk
- first Mandriva package
